MOUNT_9P(8)

NAME
mount_9p - mount a file server using the 9P resource sharing protocol

SYNOPSIS
mount_9p [-46Csu] [-o options] [-p port] [user@]host[:path] mount_point
mount_9p -c [-Csu] [-o options] device mount_point

DESCRIPTION
The mount_9p program is used to mount a file hierarchy served with the Plan 9 resource sharing protocol 9P. After the file system is mounted, the files on the remote host will be accessed using the credentials of the user named user and whatever UID the user happens to have on the remote server. If path is supplied, it is used as the mount rootpath on the remote host. path must be an absolute path.

The host name may be optionally enclosed in square brackets. This is required when using numeric IPv6 addresses as they contain colons as part of their syntax.

The -c option enables to mount a file system exported by a VM host through a character device file device backed by the vio9p(4) driver. See vio9p(4) for more information.

The following options are available:

-4  Forces mount_9p to use IPv4 addresses only.

-6  Forces mount_9p to use IPv6 addresses only.

-C  Permit the kernel to cache pathname components. By default every time the kernel does a lookup for a component name, the file server will be consulted.

-c  Interpret special as a device name. See vio9p(4).

-o options
    Mount options. See documentation for the -o option to mount(8).

-p port
    Use the specified TCP port. By default mount_9p uses port 564 (9pfs). Another useful port is 6666 (styx), used by Inferno operating system.

-s  Run in the foreground. Useful for debugging.

-u  Use 9P2000.u protocol that includes extensions to better support Unix environments.

SEE ALSO
puffs(3), puffs(4), vio9p(4), mount(8) 9P: The Simple Distributed File System from Bell Labs, http://9p.cat-v.org/. RFC and standards documents relating the 9P protocol, http://ericvh.github.io/9p-rfc/.

HISTORY
The mount_9p utility first appeared in NetBSD 5.0.

Experimental 9P2000.u support appeared in NetBSD 9.0.

The vio9p(4) support appeared in NetBSD 10.0.

CAVEATS
Authentication is not supported.

Permissions are not handled well.

Error code handling is missing for 9P2000.

9P2000.u support doesn't use extension fields.